//IntroGuardOne

switch(conv)
{
case 0:
	dShowMessage("Link!  Thank goodness you are here.", false);
	conv = 1
	player.setStunned(10000)
	ui.hudEnabled=false
	sound.playSoundUI("sound.next")
	break;
case 1:
	dShowMessage("We are being attacked! /nYou must clear the invaders out of the castle.", false );
	conv = 2
	sound.playSoundUI("sound.next")
	break;
case 2:
	sound.playSoundUI("sound.next")
	choice = dShowDecision("Do you understand what you must do?", Array(dOption("/5Yes", "Y"), dOption("/5No", "N")));
	{
		switch(choice)
			{
			case "Y":
				dShowMessage("Excellent.  Please hurry!  /nYou should check with the guards on post in /nthe Castle Town as well.", true);
				sound.playSoundUI("sound.next")
				conv = 3
				break;
			case "N":
				dShowMessage("Then listen carefully this time!", false);
				sound.playSoundUI("sound.next")
				conv = 1
				break;
			}
	}
	break;
case 3:
	dClearMessage()
	conv = 0
	sound.playSoundUI("sound.done")
	player.setStunned(0)
	ui.hudEnabled=false
	break;
}

